class MasonellwoodCliAppTwo::StateScraper
  attr_accessor :name, :cities, :state, :url

  def initialize(state)
    @state = state
    @cities = []
  end

  def scrape_cities
    html = open("https://www.wunderground.com/cgi-bin/findweather/getForecast?query=#{@state}") #pulls html
    student_file = Nokogiri::HTML(html)
    student_file.css("tbody tr").each do |x|
       city = x.css("a").text
       url = x.search("a").attr("href").value
      new_city = MasonellwoodCliAppTwo::City.new(city, url)
      @cities << new_city
    end
  end

  def city_weather(city)
        html = open("https://www.wunderground.com/#{city.url}") #pulls html
        student_file = Nokogiri::HTML(html)
          weather_conditions = student_file.css("#curCond .wx-value").text
          temperature = student_file.css("#curTemp .wx-value").text
        puts "It looks like you are interested in beautiful #{city.name}!"
        puts "Weather Conditions for Today: #{weather_conditions}"
        puts "Current Temperature: #{temperature} Degrees Fahrenheit"
        puts "Check more or the Cities in your area by typing the Number Name."
        puts "If you want to see all the Cities again, type Cities."
        puts "Or type exit."
  end
end
